List Feed Configurations
curl --request GET \
--url https://api.autosnap.com/v1/ims/feedsimport requests
url = "https://api.autosnap.com/v1/ims/feeds"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.autosnap.com/v1/ims/feeds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Feed Management
List Feed Configurations
List all IMS feed configurations under your account.
GET
/
v1
/
ims
/
feeds
List Feed Configurations
GET /v1/ims/feeds
AutoSnap-internal only. This endpoint is restricted to AutoSnap admin clients. Customers should use
GET /v1/ims/feeds/{feed_id}/history against feed IDs they’ve been given to audit feed activity. Non-admin API keys receive 403 ADMIN_REQUIRED.Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
api_key | string | query | Yes | Your API key |
Example
curl "https://api.autosnap.com/v1/ims/feeds?api_key=YOUR_API_KEY"
Response
{
"feeds": [
{
"id": 1,
"dealership_id": "dlr_8cfc0b00a98b",
"provider": "vauto",
"ftp_path": "vauto",
"file_name": "MP14015.csv",
"dealer_identifier": null,
"active": true,
"staleness_threshold_hours": 48,
"last_import_at": "2026-04-14T06:15:00+00:00",
"last_vehicle_count": 381,
"last_file_modified": "2026-04-14T01:04:04+00:00",
"created_at": "2026-04-13T20:00:00+00:00"
}
]
}
Response Fields
| Field | Type | Description |
|---|---|---|
id | integer | Feed config ID |
dealership_id | string | Dealership public ID |
provider | string | IMS provider name |
ftp_path | string | Provider directory name on SFTP |
file_name | string | Exact CSV filename being monitored |
dealer_identifier | string | Optional dealer ID filter for multi-dealer files |
active | boolean | Whether the feed is actively being polled |
staleness_threshold_hours | integer | Hours without an update before a ims.feed.stale webhook fires |
last_import_at | string | ISO timestamp of last successful import |
last_vehicle_count | integer | Number of vehicles in last import |
last_file_modified | string | Last known modification time of the CSV on SFTP |
created_at | string | When the feed config was created |
Query Parameters
Response
Successful Response
⌘I